Index: asterisk/channels/chan_h323.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_h323.c,v
retrieving revision 1.92
diff -u -3 -r1.92 chan_h323.c
--- asterisk/channels/chan_h323.c	11 Nov 2004 21:30:30 -0000	1.92
+++ asterisk/channels/chan_h323.c	15 Nov 2004 20:15:26 -0000
@@ -679,7 +679,6 @@
 	int fmt;
 	
 	/* Don't hold a oh323_pvt lock while we allocate a chanel */
-	ast_mutex_unlock(&pvt->lock);
 	ch = ast_channel_alloc(1);
 	ast_mutex_lock(&pvt->lock);
 	if (ch) {
@@ -758,6 +757,7 @@
 	} else  {
 		ast_log(LOG_WARNING, "Unable to allocate channel structure\n");
 	}
+	ast_mutex_unlock(&pvt->lock);
 	return ch;
 }
 
@@ -950,7 +950,7 @@
 		return 0;
 	}
 }
-static struct ast_channel *oh323_request(const char *type, int format, void *data)
+static struct ast_channel *oh323_request(const char *type, int format, void *data, int *cause)
 {
 	int oldformat;
 	struct oh323_pvt *pvt;
